OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_HArray2OfCartesianPoint Class Reference

`#include <StepGeom_HArray2OfCartesianPoint.hxx>`

## Public Member Functions
Standard_EXPORT | StepGeom_HArray2OfCartesianPoint (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | StepGeom_HArray2OfCartesianPoint (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Handle(StepGeom_CartesianPoint)&V)
Standard_EXPORT void | Init (const Handle(StepGeom_CartesianPoint)&V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(StepGeom_CartesianPoint)&Value)
Standard_EXPORT const Handle_StepGeom_CartesianPoint & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT Handle_StepGeom_CartesianPoint & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const StepGeom_Array2OfCartesianPoint & | Array2 () const
StepGeom_Array2OfCartesianPoint & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepGeom_Array2OfCartesianPoint | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_HArray2OfCartesianPoint::StepGeom_HArray2OfCartesianPoint | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT StepGeom_HArray2OfCartesianPoint::StepGeom_HArray2OfCartesianPoint | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Handle(StepGeom_CartesianPoint)& | V
| ) |

## Member Function Documentation

const StepGeom_Array2OfCartesianPoint& StepGeom_HArray2OfCartesianPoint::Array2 | ( |  | ) | const

StepGeom_Array2OfCartesianPoint& StepGeom_HArray2OfCartesianPoint::ChangeArray2 | ( |  | ) |

Standard_EXPORT Handle_StepGeom_CartesianPoint& StepGeom_HArray2OfCartesianPoint::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer StepGeom_HArray2OfCartesianPoint::ColLength | ( |  | ) | const

Standard_EXPORT const StepGeom_HArray2OfCartesianPoint::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepGeom_HArray2OfCartesianPoint::Init | ( | const Handle(StepGeom_CartesianPoint)& | V | ) |

Standard_Integer StepGeom_HArray2OfCartesianPoint::LowerCol | ( |  | ) | const

Standard_Integer StepGeom_HArray2OfCartesianPoint::LowerRow | ( |  | ) | const

Standard_Integer StepGeom_HArray2OfCartesianPoint::RowLength | ( |  | ) | const

void StepGeom_HArray2OfCartesianPoint::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(StepGeom_CartesianPoint)& | Value
| ) |

Standard_Integer StepGeom_HArray2OfCartesianPoint::UpperCol | ( |  | ) | const

Standard_Integer StepGeom_HArray2OfCartesianPoint::UpperRow | ( |  | ) | const

Standard_EXPORT const Handle_StepGeom_CartesianPoint& StepGeom_HArray2OfCartesianPoint::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

StepGeom_Array2OfCartesianPoint StepGeom_HArray2OfCartesianPoint::myArray`[private]`

The documentation for this class was generated from the following file:

- StepGeom_HArray2OfCartesianPoint.hxx